Validate BigCommerce Customer Password
Validates a BigCommerce customer's password by checking the provided email and password against the BigCommerce store's customer records.
Validates a BigCommerce customer's password by checking the provided email and password against the BigCommerce store's customer records.
Tenant API Key for authentication
In: query
Query Parameters
BigCommerce store hash identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.hub.loginradius.com/sso/bigcommerce/api/validatepassword?store=abc123" \ -H "Content-Type: application/json" \ -d '{ "emailid": "user@example.com", "password": "MyPassword123" }'{
"verified": true
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}{
"Message": "string",
"Description": "string",
"ErrorCode": 0,
"Code": 0
}Generate BigCommerce Login URL (POST) POST
Generates a BigCommerce customer login URL using the provided LoginRadius access token sent in the request body. If the customer does not exist in BigCommerce, it creates one. Returns a login URL that can be used to authenticate the user into BigCommerce.
Generate Shopify Multipass Login URL GET
Generates a Shopify Multipass login URL using the provided LoginRadius access token. Uses Shopify's Multipass feature to create a single sign-on URL that authenticates the user into the Shopify store.